puppet-module-swift (27.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends versions for this release.
  * Rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Oct 2025 10:38:22 +0100

puppet-module-swift (25.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Drop fix-name-of-ceilometermiddleware-package.patch that shouldn't be
    needed.
  * Drop patch applied upstream:
    - add-UUID-to-possible-device-def.patch.
    - Support-for-barbican_endpoint-in-kms_keymaster.patch
  * Removed "files" from d/puppet-module-swift.install.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Oct 2024 16:54:46 +0200

puppet-module-swift (24.0.0-3) unstable; urgency=medium

  * Add Support-for-barbican_endpoint-in-kms_keymaster.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Jun 2024 12:02:08 +0200

puppet-module-swift (24.0.0-2) unstable; urgency=medium

  * Add add-UUID-to-possible-device-def.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 May 2024 16:54:19 +0200

puppet-module-swift (24.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Removed add-mount_type-param.patch applied upstream.
  * Rebased use-custom-uuid-fact.patch.
  * Rebased check-for-commented-out-drives-in-fstab.patch.
  * Refreshed fix-name-of-ceilometermiddleware-package.patch.
  * Removed storage_support_timeout_parameters.patch applied upstream.
  * Rebased drive-full-checker.patch.
  * Removed Per_daemon_log_name.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Apr 2024 13:48:47 +0200

puppet-module-swift (23.0.0-3) unstable; urgency=medium

  * Add drive-full-checker.patch.
  * Add Per_daemon_log_name.patch.
  * Fix missing entries in storage_support_timeout_parameters.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Feb 2024 10:24:20 +0100

puppet-module-swift (23.0.0-2) unstable; urgency=medium

  * Add storage_support_timeout_parameters.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jan 2024 09:48:44 +0100

puppet-module-swift (23.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed version of depends for this release.
  * Rebased check-for-commented-out-drives-in-fstab.patch.
  * Also package the types folder.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Oct 2023 09:08:11 +0200

puppet-module-swift (22.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Jun 2023 11:33:26 +0200

puppet-module-swift (22.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed runtime depends versions for this release.
  * Refreshed fix-name-of-ceilometermiddleware-package.patch.
  * Rebased check-for-commented-out-drives-in-fstab.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 12 Apr 2023 09:29:02 +0200

puppet-module-swift (21.0.0-3) unstable; urgency=medium

  [ Theo Gindre ]
  * Replace rm with chown on A+C+O when drive is unmounted. 

  [ Thomas Goirand ]
  * Fixed watch file to use git mode.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Nov 2022 17:33:22 +0100

puppet-module-swift (21.0.0-2) unstable; urgency=medium

  * Update fix-name-of-ceilometermiddleware-package.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Oct 2022 14:41:39 +0200

puppet-module-swift (21.0.0-1) unstable; urgency=medium

  * Fixup check-for-commented-out-drives-in-fstab.patch so that it gets unix
    ownership of /srv/node/* right (ie: owned by root:root if the drive is
    unmounted).
  * New upstream release.
  * Fixed depends for this release.
  * Drop Multiple-rsync-modules.patch merged upstream.
  * Drop installing templates (there's none anymore upstream...).

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Oct 2022 21:52:54 +0200

puppet-module-swift (20.3.0-2) unstable; urgency=medium

  * Add debian/patches/Multiple-rsync-modules.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Aug 2022 12:49:12 +0200

puppet-module-swift (20.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 14:12:03 +0200

puppet-module-swift (20.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:03:25 +0100

puppet-module-swift (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Mar 2022 22:50:59 +0100

puppet-module-swift (19.4.0-2) unstable; urgency=medium

  * Clean-up update-alternatives handling.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Jan 2022 11:07:03 +0100

puppet-module-swift (19.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Oct 2021 09:45:15 +0200

puppet-module-swift (19.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 14:04:04 +0200

puppet-module-swift (19.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Rebased:
    - add-mount_type-param.patch
  * Refreshed:
    - use-custom-uuid-fact.patch
  * Removed patches applied upstream:
    - Add-a-swift_drive_audit_config-puppet-type.patch
    - Add-support-for-swift_proxy-account-container_uwsgi_config-in-Debian.patch
    - Make_it_possible_to_skip_parted_and_mkfs.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 13:53:17 +0200

puppet-module-swift (18.4.0-2) unstable; urgency=medium

  * Add Make_it_possible_to_skip_parted_and_mkfs.patch.
  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 17:34:45 +0200

puppet-module-swift (18.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed fix-name-of-ceilometermiddleware-package.patch.
  * Fixed depends for this release.
  * Removed add_cname_lookup_middleware_support.patch applied upstream.
  * Add Add-a-swift_drive_audit_config-puppet-type.patch.
  * Add-support-for-swift_proxy-account-container_uwsgi_config-in-Debian.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 06 Apr 2021 13:04:34 +0200

puppet-module-swift (18.3.0-2) experimental; urgency=medium

  * Fixed postinst.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Mar 2021 19:02:32 +0200

puppet-module-swift (18.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 21:00:52 +0100

puppet-module-swift (18.2.0-1) experimental; urgency=medium

  * Use custom ruby fact to fetch block device UUIDs.
  * Reworked check-for-commented-out-drives-in-fstab.patch to use a custom ruby
    fact instead of a shell script fact.
  * Add fix-name-of-ceilometermiddleware-package.patch.
  * Add add_cname_lookup_middleware_support.patch.
  * New upstream release.
  * Fixed depends for this release.
  * debhelper-compat 11.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Mar 2021 12:45:05 +0100

puppet-module-swift (17.4.1-3) unstable; urgency=medium

  * Fix device UUID custom fact to work with the Bullseye version of blkid.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jan 2021 11:08:55 +0100

puppet-module-swift (17.4.1-2) unstable; urgency=medium

  * Removed dependencies on e2fsprogs and xfsprogs. (Closes: #887228).

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Jan 2021 00:24:55 +0100

puppet-module-swift (17.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 16:50:56 +0200

puppet-module-swift (17.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed depends for this release.
  * Removed patches applied upstream:
    - Add_client_timeout_parameter_for_object-server.conf.patch
    - remove-nobarrier-option.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Oct 2020 14:21:56 +0200

puppet-module-swift (16.3.0-3) unstable; urgency=medium

  * Add Add_client_timeout_parameter_for_object-server.conf.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 11:53:51 +0200

puppet-module-swift (16.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 03 May 2020 14:14:36 +0200

puppet-module-swift (16.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - Add-parameter-memcache_max_connections.patch
    - Add-parameter-client_timeout.patch
    - add_chunk_size_related_parameters_for_proxy-server_and_object-server.patch
    - Add_object_server_mb_per_sync.patch
    - Add-max_upload_part_num-param.patch
  * Refreshed patches:
    - add-mount_type-param.patch
    - remove-nobarrier-option.patch

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 12:54:32 +0200

puppet-module-swift (15.4.0-6) unstable; urgency=medium

  * Depends on puppet, not puppet-common.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Mar 2020 12:07:42 +0100

puppet-module-swift (15.4.0-5) unstable; urgency=medium

  * Add patches:
    add_chunk_size_related_parameters_for_proxy-server_and_object-server.patch.
    Add_object_server_mb_per_sync.patch.
    Add-max_upload_part_num-param.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2019 17:43:23 +0100

puppet-module-swift (15.4.0-4) unstable; urgency=medium

  * Add Add-parameter-client_timeout.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Nov 2019 09:43:59 +0100

puppet-module-swift (15.4.0-3) unstable; urgency=medium

  * Add Add-parameter-memcache_max_connections.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Nov 2019 08:34:28 +0100

puppet-module-swift (15.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:39:41 +0200

puppet-module-swift (15.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Oct 2019 11:14:14 +0200

puppet-module-swift (15.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 29 Sep 2019 01:05:45 +0200

puppet-module-swift (14.4.0-4) unstable; urgency=medium

  * Switched build-dependencies to Python 3 (Closes: #937374).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 21:36:31 +0200

puppet-module-swift (14.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 22:13:11 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog puppet-module-swift`.
